Index: trunk/ab5.0/abdev/abdev/RadProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 616)
+++ trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 617)
@@ -19,5 +19,5 @@
 		i=GetWndNum(hChild);
 		if(MdiInfo[i].DocType==WNDTYPE_RAD){
-			if(lstrcmpi(MdiInfo[i].path,windowInfo.name)==0) break;
+			if(lstrcmpi(MdiInfo[i].path,windowInfo.GetName().c_str())==0) break;
 		}
 		hChild=GetNextWindow(hChild,GW_HWNDNEXT);
@@ -28,5 +28,5 @@
 	}
 
-	mdic.szTitle=windowInfo.name;
+	mdic.szTitle=windowInfo.GetName().c_str();
 	mdic.szClass="MDIClientWindow_Rad";
 	mdic.hOwner=hInst;
@@ -85,8 +85,8 @@
 			MdiInfo[i].hwnd=hChild;
 			MdiInfo[i].DocType=WNDTYPE_RAD;
-			MdiInfo[i].title=(char *)GlobalAlloc(GMEM_FIXED,lstrlen(windowInfo.name)+1);
-			lstrcpy(MdiInfo[i].title,windowInfo.name);
-			MdiInfo[i].path=(char *)GlobalAlloc(GMEM_FIXED,lstrlen(windowInfo.name)+1);
-			lstrcpy(MdiInfo[i].path,windowInfo.name);
+			MdiInfo[i].title=(char *)GlobalAlloc(GMEM_FIXED,windowInfo.GetName().size()+1);
+			lstrcpy(MdiInfo[i].title,windowInfo.GetName().c_str());
+			MdiInfo[i].path=(char *)GlobalAlloc(GMEM_FIXED,windowInfo.GetName().size()+1);
+			lstrcpy(MdiInfo[i].path,windowInfo.GetName().c_str());
 
 
@@ -141,9 +141,9 @@
 	ResizeToRadToolWindows(i,rect.right,rect.bottom);
 
-	i=SendMessage(hDocCombo,CB_ADDSTRING,0,(long)windowInfo.name);	//Docコンボボックスに追加
+	i=SendMessage(hDocCombo,CB_ADDSTRING,0,(long)windowInfo.GetName().c_str());	//Docコンボボックスに追加
 	SendMessage(hDocCombo,CB_SETCURSEL,i,0);
 
 	//タブに追加
-	pobj_MainTab->InsertItem( windowInfo.name, true );
+	pobj_MainTab->InsertItem( windowInfo.GetName().c_str(), true );
 
 	//メニュー状態を設定
@@ -268,5 +268,4 @@
 	extern HANDLE hHeap;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	int i;
 
 	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
@@ -1449,13 +1448,29 @@
 							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX||
 							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON||
-							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC){
-							sprintf(temporary,"%s_%s_Click",pWindowInfo->name,pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
+						{
+							sprintf(temporary,"%s_%s_Click",
+								pWindowInfo->GetName().c_str(),
+								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName
+							);
 						}
 						else if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
-							sprintf(temporary,"%s_%s_EditChange",pWindowInfo->name,pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+						{
+							sprintf(temporary,"%s_%s_EditChange",
+								pWindowInfo->GetName().c_str(),
+								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+						}
 						else if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
-							sprintf(temporary,"%s_%s_Change",pWindowInfo->name,pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+						{
+							sprintf(temporary,"%s_%s_Change",
+								pWindowInfo->GetName().c_str(),
+								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+						}
 						else if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
-							sprintf(temporary,"%s_%s_SelChange",pWindowInfo->name,pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+						{
+							sprintf(temporary,"%s_%s_SelChange",
+								pWindowInfo->GetName().c_str(),
+								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->IdName);
+						}
 						else temporary[0]=0;
 						if(temporary[0]) SelectProcedureOfMessageCall(i2,temporary,temp2);
